## freetype 2.8.1

=== Makefile ===
--- 
+++ 
@@ -129,8 +129,18 @@
 
   COMPILE = $(CC) $(CPPFLAGS) \
                   $(CFLAGS) \
+                  $(ANSIFLAGS) \
                   $(INCLUDES:%=$I%) \
                   $DFT_CONFIG_MODULES_H="<ftmodule.h>"
+
+  # Enable C99 for gcc to avoid warnings.
+  # Note that clang++ aborts with an error if we use `-std=C99',
+  # so check for `++' in $(CC) also.
+  ifneq ($(findstring -pedantic,$(COMPILE)),)
+    ifeq ($(findstring ++,$(CC)),)
+      COMPILE += -std=c99
+    endif
+  endif
 
   FTLIB := $(LIB_DIR)/$(LIBRARY).$A
 
@@ -160,7 +170,7 @@
   else
     LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
     ifeq ($(PLATFORM),unixdev)
-      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lz -lbz2
+      LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lrt -lz -lbz2
       LINK_LIBS += $(shell pkg-config --libs libpng harfbuzz)
     else
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
@@ -319,9 +329,11 @@
   # Rules for compiling object files for text-only demos.
   #
   $(OBJ_DIR_2)/common.$(SO): $(SRC_DIR)/common.c
-  $(OBJ_DIR_2)/aux.$(SO): $(SRC_DIR)/aux.c
+  $(OBJ_DIR_2)/output.$(SO): $(SRC_DIR)/output.c
+  $(OBJ_DIR_2)/mlgetopt.$(SO): $(SRC_DIR)/mlgetopt.c
   COMMON_OBJ := $(OBJ_DIR_2)/common.$(SO) \
-                $(OBJ_DIR_2)/aux.$(SO)
+                $(OBJ_DIR_2)/output.$(SO) \
+                $(OBJ_DIR_2)/mlgetopt.$(SO)
 
 
   FTCOMMON_OBJ := $(OBJ_DIR_2)/ftcommon.$(SO)
@@ -414,14 +426,3 @@
   # Special rule to compile the `ftview' program as it includes
   # internal header files.
   #
-  $(OBJ_DIR_2)/ftview.$(SO): $(SRC_DIR)/ftview.c \
-                             $(SRC_DIR)/ftcommon.h \
-                             $(GRAPH_LIB)
-	  $(COMPILE) $(GRAPH_INCLUDES:%=$I%) \
-                     $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY
-
-
-  ####################################################################
-  #
-  # Special rule to compile the `ftdiff' program as it includes
-  # internal header files.
