## freetype 2.9.1

=== debian/changelog ===
freetype (2.9.1-4) unstable; urgency=medium

  * debian/compat: Remove legacy file.
  * debian/control:
    - Build-Depend on debhelper-compat (version 12).
    - Raise Standards-Version to 4.4.0 (no changes needed).
    - Demote Recommends: freetype2-doc to Suggests (Closes: #919284).
  * debian/patches:
    - Add an upstream patch to properly handle phantom points for variable
      hinted fonts (Closes: #93203).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Jul 2019 19:59:39 +1000

freetype (2.9.1-3) unstable; urgency=medium

  * Release to unstable.
  * libfreetype6-dev: No longer install freetype2.m4, as its functionality has
    been superseded by pkg-config.
  * libfreetype6.symbols: Specify libfreetype6-dev in the Build-Depends-Package
    meta-information field.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 22 Nov 2018 21:15:00 +1100

freetype (2.9.1-2) experimental; urgency=medium

  * debian/control:
    - Raise Standards-Version to 4.2.1 (no changes needed).
    - Add Vcs-* fields and point to Salsa.
    - Drop Pre-Depends on dpkg since the required package is in Debian Jessie.
    - Update the libfreetype6-dev package description.
  * debian/rules:
    - Use override_dh_installdocs-indep with freetype2-doc to fix FTBFS when
      only building arch:any binaries.
    - Remove 'dh_installdocs --remaining-packages' from the
      dh_installdocs-indep override as we are only building one
      architecture-independent package.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 24 Sep 2018 22:45:38 +1000

freetype (2.9.1-1) experimental; urgency=medium

  * New maintainer: Hugh McMaster
    - A big thank you to Steve Langasek for maintaining freetype over
      the past 12 years.
  * New upstream release (Closes: #901052):
    - Avoid dereferencing a NULL pointer (CVE-2018-6942) (Closes: #890450).
    - The `freetype-config' script is no longer installed by default
      (Closes: #871470, #886461). All packages depending on libfreetype6-dev
      should use pkg-config to find the relevant CFLAGS and libraries.
    - Fix unaligned access failures caused by 'mmvar' array pointers in the
      TrueType font driver (Closes: #898983).
    - Infinality patches previously integrated upstream (Closes: #698192).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * Introduce freetype2-doc:
    - Move the development documentation from libfreetype6-dev.
    - Declare Replaces+Breaks against libfreetype6-dev.
    - Update the package's doc-base registration.
    - Comment out references to fonts.googleapis.com (Closes: #873432).
    - Add a Dependency on libjs-jquery.
    - Do not install the source jQuery library. Instead, add a symlink
      to the equivalent library provided by Debian.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove the version requirement from the gettext Build-Dependency.
    - Remove automake and quilt from the Build-Depends list.
    - Add libjs-jquery to the Build-Depends list.
    - Raise Standards-Version from 4.0.0 to 4.2.1.
    - Use secure HTTP for the Homepage URI.
    - Update package descriptions.
    - Mark freetype2-demos Multi-Arch: foreign.
    - Rename the XC-Package-Type field to Package-Type.
  * debian/copyright:
    - Use secure HTTP in the Format and Source fields.
    - Update for FreeType 2.9.1.
  * debian/missing-sources:
    - Add source files for jquery.ba-resize.min.js and jquery-1.11.0.min.js.
  * debian/patches:
    - Convert freetype_2.8.1-2.diff into patches.
    - Remove an unused patch: enable-old-cff.patch
    - Remove freetype-config-multi-arch.patch (no longer needed).
    - Refresh other patches.
    - no-web-fonts.patch: Comment out references to fonts.googleapis.com.
    - hide-donations-information.patch: Hide donations information in the
      documentation to prevent several lintian errors.
  * debian/rules:
    - Include the /usr/share/dpkg/pkg-info.mk Makefile library instead of
      calling 'dpkg-parsechangelog'.
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove special handling for libpng12.
    - Remove a legacy workaround for gcc-4.4.
    - Remove legacy 'unpack', 'patch' and 'get-orig-source' recipes.
    - Remove un-needed debhelper overrides and legacy code.
    - Copy docs/CHANGES as docs/NEWS to comply with Debian policy 12.7.
  * Update the libfreetype6 symbols file for FreeType 2.9.1.
  * Add a debian/watch file.
  * Add an upstream cryptographic signature.
  * Remove debian/freetype2-demos.dirs, debian/libfreetype6-udeb.dirs and
    debian/README.source (no longer needed).
  * Update lintian overrides for the freetype source package.
  * Add lintian overrides for freetype2-demos and freetype2-doc.
  * Convert /usr/share/doc/freetype2-demos and /usr/share/doc/libfreetype6-dev
    symlinks to directories.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 14 Jul 2018 18:57:54 +1000

freetype (2.8.1-2) unstable; urgency=high

  * debian/rules: fix SIZEOF_LONG mangling to avoid over-broad matching.
    Closes: #887087.

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Feb 2018 07:49:55 +0000

freetype (2.8.1-1) unstable; urgency=medium

  * Acknowledge NMUs; thanks to Laurent for the uploads.
    Closes: #857439, #863623.
  * debian/control:
    - Add pkg-config to the Build-Depends list (Closes: #885324).
    - Mark libfreetype6-dev Multi-Arch: same (Closes: #642354).
    - Remove the deprecated Priority: extra field from libfreetype6-udeb.
  * debian/patches/patches-*: Refresh existing patches.
  * debian/patches/patches-freetype/freetype-config-multi-arch.patch:
    - Remove the arch-dependent output of `freetype-config --libs`.
      Closes: #871470, #870618.
    - Exit with an error if freetype-config is called with --libtool.
  * debian/rules:
    - Include /usr/share/dpkg/architecture.mk.

