## freetype 2.10.1

=== Makefile ===
--- 
+++ 
@@ -60,10 +60,10 @@
 ifdef no_config_mk
 
   exes:
-	  @echo Please compile the library before the demo programs!
+	  $(info Please compile the library before the demo programs!)
   clean distclean:
-	  @echo "I need a path to FreeType 2's \`config.mk' to do that!"
-	  @echo "Set the \`TOP_DIR' variable to the correct value."
+	  $(info I need a path to FreeType 2's `config.mk' to do that!)
+	  $(info Set the `TOP_DIR' variable to the correct value.)
 
 else
 
@@ -98,7 +98,7 @@
     TOP_DIR_2 := $(shell cd $(TOP_DIR_2); pwd)
     ifneq ($(have_makefile),)
       BIN_DIR_2 ?= $(TOP_DIR_2)/bin
-      OBJ_DIR_2 ?= $(TOP_DIR_2)/obj
+      OBJ_DIR_2 ?= $(TOP_DIR_2)/objs
     else
       BIN_DIR_2 ?= .
       OBJ_DIR_2 ?= .
@@ -106,7 +106,7 @@
   else
     ifneq ($(have_makefile),)
       BIN_DIR_2 ?= bin
-      OBJ_DIR_2 ?= obj
+      OBJ_DIR_2 ?= objs
     else
       BIN_DIR_2 ?= .
       OBJ_DIR_2 ?= .
@@ -131,6 +131,7 @@
                   $(CFLAGS) \
                   $(ANSIFLAGS) \
                   $(INCLUDES:%=$I%) \
+                  $DFT_CONFIG_OPTIONS_H="<ftoption.h>" \
                   $DFT_CONFIG_MODULES_H="<ftmodule.h>"
 
   # Enable C99 for gcc to avoid warnings.
@@ -166,12 +167,13 @@
     LINK_CMD  = $(subst /,$(SEP),$(OBJ_BUILD)/libtool) \
                 --mode=link $(CC) \
                 $(subst /,$(COMPILER_SEP),$(LDFLAGS))
-    LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
+    LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) $(LIB_CLOCK_GETTIME)
   else
     LINK_CMD = $(CC) $(subst /,$(COMPILER_SEP),$(LDFLAGS))
     ifeq ($(PLATFORM),unixdev)
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE)) -lm -lrt -lz -lbz2
-      LINK_LIBS += $(shell pkg-config --libs libpng harfbuzz)
+      LINK_LIBS += $(shell pkg-config --libs libpng)
+      LINK_LIBS += $(shell pkg-config --libs harfbuzz)
     else
       LINK_LIBS = $(subst /,$(COMPILER_SEP),$(FTLIB) $(EFENCE))
     endif
@@ -221,11 +223,11 @@
   ifdef DOSLIKE
 
     clean_demo:
-	    -del obj\*.$(SO) 2> nul
+	    -del objs\*.$(SO) 2> nul
 	    -del $(subst /,\,$(TOP_DIR_2)/src/*.bak) 2> nul
 
     distclean_demo: clean_demo
-	    -del obj\*.lib 2> nul
+	    -del objs\*.lib 2> nul
 	    -del bin\*.exe 2> nul
 
   else
@@ -421,8 +423,3 @@
 	  $(COMPILE) $T$(subst /,$(COMPILER_SEP),$@ $<) $DFT2_BUILD_LIBRARY
 
 
-  ####################################################################
-  #
-  # Special rule to compile the `ftview' program as it includes
-  # internal header files.
-  #
