=== debian/changelog ===
freetype (2.10.1-2ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: OOB write via font subglyph structures parsing
    - debian/patches/CVE-2025-27363.patch: make sure limit doesn't overflow
      in src/truetype/ttgload.c.
    - CVE-2025-27363
  * SECURITY UPDATE: DoS in gvar table loading (LP: #2028863)
    - debian/patches/lp2028863-dos.patch: add better checks for loading
      gvar table in src/truetype/ttgxvar.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Mar 2025 13:03:51 -0400

freetype (2.10.1-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2023-2004.patch: fix a integer overflow
      in src/truetype/ttgxvar.c.
    - CVE-2023-2004

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 02 May 2023 08:24:45 -0300

freetype (2.10.1-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in sfnt_init_face
    - debian/patches/CVE-2022-27404.patch: avoid invalid face index in
      src/sfnt/sfobjs.c.
    - CVE-2022-27404
  * SECURITY UPDATE: Segmentation violation in FNT_Size_Request
    - debian/patches/CVE-2022-27405.patch: properly guard face_index in
      src/base/ftobjs.c.
    - CVE-2022-27405
  * SECURITY UPDATE: Segmentation violation in FT_Request_Size
    - debian/patches/CVE-2022-27406.patch: guard face->size in
      src/base/ftobjs.c.
    - CVE-2022-27406
  * SECURITY UPDATE: Heap-based buffer overflow in ftbench demo
    - debian/patches/CVE-2022-31782.patch: check the number of glyphs in
      ft2demos/src/ftbench.c.
    - CVE-2022-31782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jul 2022 11:28:34 -0400

freetype (2.10.1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow via integer truncation in
    Load_SBit_Png
    - debian/patches/CVE-2020-15999.patch: Update src/sfnt/pngshim.c to
      test and reject invalid bitmap size earlier in Load_SBit_Png. Based on
      upstream patch.
    - CVE-2020-15999

 -- Alex Murray <alex.murray@canonical.com>  Tue, 20 Oct 2020 12:37:23 +1030

freetype (2.10.1-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.4.1 from 4.4.0 (no changes needed).
    - Add Rules-Requires-Root: no.
  * debian/rules:
    - Move the FreeType API Reference location to docs/reference to revert an
      incorrect upstream change introduced in FreeType 2.10.
    - Update dh_installdocs-indep path exclusion to account for the change to
      the API Reference path.
  * debian/patches:
    - Drop fix-api-reference-hyperlink.patch.
    - Add a patch to fix broken JavaScript paths in the documentation.
  * freetype2-doc:
    - Update the API Reference path in the doc-base file.
    - Update Lintian overrides.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 07 Oct 2019 23:42:48 +1100

freetype (2.10.1-1) experimental; urgency=medium

  * New upstream release.
  * libfreetype6-dev has been renamed to libfreetype-dev.
    - libfreetype6-dev is now a transitional package.
    - Please update your build dependencies accordingly.
  * debian/libfreetype6.symbols: Update for FreeType 2.10.1
    - FT_Outline_New_Internal and FT_Outline_Done_Internal have been removed.
      These functions were public by oversight only and were never documented.
    - FreeType's library soname remains unchanged.
  * debian/control:
    - freetype2-doc now Recommends fonts-noto-core.
  * debian/copyright: Update for FreeType 2.10.1.
    - Upstream removed several files in FreeType 2.10.
    - Some new files were added and have their own licences.
  * debian/patches:
    - Drop no-uninitialized-bbox.patch and compiler_hardening_fixes.patch.
      These patches were accepted upstream.
    - Drop revert-wrong-extern.patch (no longer needed).
    - Add a patch to prevent use of fonts.gstatic.com and fonts.googleapis.com
      in the FreeType 2 documentation.
    - Add a patch to fix broken hyperlinks to the FreeType API Reference.
    - Refresh all other patches.
  * debian/rules:
    - Correctly parse FreeType's release version for dh_makeshlibs.
  * freetype2-doc:
    - Most of the documentation is now located in the 'site' sub-directory
      due to an upstream change.
    - Exclude Material Icons and Font Awesome from installation.
    - Add a Lintian override to prevent warnings about duplicate favicons.
    - Update the doc-base file.
  * Add a Debian upstream metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 16 Aug 2019 20:42:30 +1000
