=== debian/rules ===
#!/usr/bin/make -f
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# always abort if there are any problems with the symbols file
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

dep_ver:= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d '.' -f -2)

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --without-bzip2 --without-harfbuzz

override_dh_auto_build:
	sed -i '/^#[[:space:]]*define SIZEOF_LONG/s/[0-9]/__SIZEOF_LONG__/' builds/unix/ftconfig.h
	dh_auto_build
	dh_auto_build -D ft2demos -- TOP_DIR=$(CURDIR)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	sed -i -e '/dependency_libs/s/'.*'//' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libfreetype.la

override_dh_install:
	dh_install -p freetype2-demos -XREADME
	dh_install --remaining-packages

override_dh_installdocs-indep:
	mv docs/reference/site/* docs/reference
	dh_installdocs -p freetype2-doc --doc-main-package=freetype2-doc \
	    -Xreference/README \
	    -Xreference/assets/fonts \
	    -Xjs/jquery-1.11.0.min.js
	cp docs/CHANGES debian/freetype2-doc/usr/share/doc/freetype2-doc/NEWS
	cp src/pcf/README debian/freetype2-doc/usr/share/doc/freetype2-doc/pcf/

override_dh_makeshlibs:
	dh_makeshlibs -V 'libfreetype6 (>= $(dep_ver))' --add-udeb=libfreetype6-udeb
